#
OWNER=bin
GROUP=bin
CTAGS= ctags -x >tags
CFLAGS= -O
LDFLAGS= -s -O
CC=../../../../armcc/bin/arm-agb-elf-gcc.exe  
RE=../../../../armcc/bin/arm-agb-elf-readelf.exe
AS=../../../../armcc/bin/arm-agb-elf-as.exe -EL -mthumb-interwork 
ASC=exec ../../../../armcc/asmconv.sh
LD=../../../../armcc/bin/arm-agb-elf-ld.exe 
OC=../../../../armcc/bin/arm-agb-elf-objcopy.exe
GET=
SRCS=
ASMS=
OBJS=
SHAR=shar
MANDIR=/usr/man/manl/printenv.l
BINDIR=/usr/local/bin
DEPEND= makedepend $(CFLAGS)

all:    test

# To get things out of the revision ntrol system
$(SRCS): $(GET) $@
	 $(CC) $(CFLAGS) -c $*.c

test: $(OBJS)
	$(ASC) intp_3p_bez-kurve.s >temp.s 
	$(AS) temp.s -o intp_3p_bez-kurve.o -I ../. -I ../../.
	$(ASC) test_rbr.s >temp.s
	$(AS) temp.s -o test_rbr.o -I ../. -I ../../.
	$(ASC) test_rek.s >temp.s
	$(AS) temp.s -o test_rek.o -I ../. -I ../../.
	../../../tools_source/bin2s/bin2s.exe -l gfx_test.gfx >gfx_test.gfx.s
	$(LD) test_rbr.o ../circle.o ../bresenham.o ../fill_rowbyrow.o ../../stdfkt/stdm0io.o ../../stdfkt/simple.o  ../../stdmath/fast_div.o $(OBJS) --script ../../../../armcc/system/lnkscript -o test_rbr.elf  -L ../../../../armcc/lib/gcc-lib/arm-agb-elf/3.3.2/interwork/  -lm -lstdc++ -lsupc++ -lc 
	$(OC) -v -O binary test_rbr.elf test_rbr.gba
	$(LD) test_rek.o ../circle.o ../bresenham.o ../fill_rowbyrow.o ../../stdfkt/stdm0io.o ../../stdfkt/simple.o  ../../stdmath/fast_div.o $(OBJS) --script ../../../../armcc/system/lnkscript -o test_rek.elf  -L ../../../../armcc/lib/gcc-lib/arm-agb-elf/3.3.2/interwork/  -lm -lstdc++ -lsupc++ -lc 
	$(OC) -v -O binary test_rek.elf test_rek.gba
	$(LD) intp_3p_bez-kurve.o ../spline.o ../circle.o ../bresenham.o ../fill_rowbyrow.o ../../stdfkt/stdm0io.o ../../stdfkt/simple.o  ../../stdmath/fast_div.o $(OBJS) --script ../../../../armcc/system/lnkscript -o intp_3p_bez-kurve.elf  -L ../../../../armcc/lib/gcc-lib/arm-agb-elf/3.3.2/interwork/  -lm -lstdc++ -lsupc++ -lc 
	$(OC) -v -O binary intp_3p_bez-kurve.elf intp_3p_bez-kurve.gba
	$(RE) -l test_rbr.elf
	$(RE) -l test_rek.elf
	rm temp.s
